const path = require('path');
const VueLoaderPlugin = require('vue-loader/lib/plugin');

module.exports = {
    mode: 'development',
    entry: {
        listing: './bundles/listing.js',
        'inner-hotel': './bundles/inner-hotel.js',
        'island-page': './bundles/island-page.js',
    },
    output: {
        filename: '[name].js',
        // filename: 'vue-assets-main.js',
        path: path.resolve(__dirname, './dist/'),
    },

    module: {
        rules: [
            {
                test: /\.vue$/,
                loader: 'vue-loader'
            },
            // this will apply to both plain `.js` files
            // AND `<script>` blocks in `.vue` files
            {
                test: /\.js$/,
                exclude: /node_modules/,
                loader: 'babel-loader'
            },
            // this will apply to both plain `.css` files
            // AND `<style>` blocks in `.vue` files
            {
                test: /\.css$/,
                use: [
                    'vue-style-loader',
                    'css-loader'
                ]
            }
        ]
    },
    plugins: [
        new VueLoaderPlugin()
    ],
    watchOptions: {
        aggregateTimeout: 200,
        poll: 1000
    }
};
